#include "main.h"

#define PAGE_SIZE 2048


HAL_StatusTypeDef FLASH_Write_Page(uint32_t *Address, uint8_t *Data, int Data_size);
HAL_StatusTypeDef FLASH_Write_Word(uint32_t Address, uint64_t Data);
HAL_StatusTypeDef FLASH_Erase_App(void);
uint8_t *FLASH_Read(uint32_t add);
